.btn {
	position: relative;
    display: inline-block;
    margin: 0;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    white-space: nowrap;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    line-height: 1.5;
    background-color: transparent;
    outline: none;
    text-decoration: none !important;
    border: 1px solid transparent;
    white-space: pre-line;
    border-radius: 40px;
    user-select: none;
}

.btn__uppercase {
    text-transform: uppercase;
}

.btn__medium {
    font-weight: 600;
    font-size: 14px;
    line-height: 63px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    height: 64px;
    padding: 0 30px;
    white-space: nowrap;
}


.btn__disable {
    background: rgba(221, 221, 221, 0.5);
    color: #bdbebf;
    border: 0;
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
}
.btn__disable:before {
    content: "";
    pointer-events: none;
    position: absolute;
    left: 3px;
    right: 3px;
    top: 3px;
    bottom: 3px;
    border: 2px solid #bdbebf;
    border-radius: 40px;
    background: transparent;
    user-select: none;
}

.btn__dark_bej {
    background: rgba(213, 160, 99, 0.7);
    color: #fff;
    border: 0;
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
}

.btn__dark_bej:before {
    content: "";
    pointer-events: none;
    position: absolute;
    left: 3px;
    right: 3px;
    top: 3px;
    bottom: 3px;
    border: 2px solid #F1C188;
    border-radius: 40px;
    background: transparent;
    user-select: none;
}

.btn__light_bej {
    background: #F1C188;
    color: #fff;
    border: 0;
}

.btn__light_bej:before {
    content: "";
    pointer-events: none;
    position: absolute;
    left: 3px;
    right: 3px;
    top: 3px;
    bottom: 3px;
    border: 2px solid #FFFFFF;
    border-radius: 40px;
    background: transparent;
    user-select: none;
}

.btn__link {
    display: inline-block;
    font-weight: 500;
    font-size: 18px;
    line-height: 1;
    letter-spacing: 0.01em;
    font-feature-settings: 'case' on;
    color: #D5A063;
    text-decoration: none;
    border: 0;
}

.btn__link > span {
    border-bottom: 1px dashed rgba(213, 160, 99, 0.5);
}

a.btn__light_bej:focus,
a.btn__dark_bej:focus {
    color: #fff;
}

@media all and (max-width: 1600px) {

}

@media all and (max-width: 767px) {
    .btn {
        height: unset;
    }
    .btn__medium {
        line-height: 1;
        white-space: unset;
        padding: 20px 30px;
        text-align: center;
    }

}

@media all and (min-width: 1025px) {

    .btn__dark_bej:hover, .btn__disable:hover {
        background: #D5A063;
        -webkit-box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
        box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
    }

    .btn__disable:hover {
        background: #D5A063;
        -webkit-box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
        box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
        color: #fff;
    }

    .btn__disable:hover:before {
        border: 2px solid #F1C188;
    }

    .btn__light_bej:hover {
        background: #D4A063;
        -webkit-box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
        box-shadow: 0px 20px 60px rgba(241, 193, 136, 0.35), 0px 10px 30px -10px rgba(241, 193, 136, 0.35);
    }

    .btn__link:hover > span {
        border-bottom-color: transparent;
    }
}